<?php
/**
*
* minotar.net API 1.0.0
* @copyright (c) 2014 SiteSplat info@sitesplat.com
* @license http://sitesplat.com all rights reserved
*
*/

/**
* @ignore
*/
if (!defined('IN_PHPBB'))
{
	exit;
}

/**
* @package acp
*/
class acp_minotar_net
{
	var $u_action;

	function main($id, $mode)
	{
		global $config, $user, $template, $db;

		$user->add_lang('mods/minotar_net');

		$this->page_title = $user->lang['MINOTAR_NET'];
		$this->tpl_name = 'acp_minotar_net';

		if (isset($_POST['submit']))
		{
			$enable_minotar_net_registration = request_var('enable_minotar_net_registration', 0);
			$force_minotar_net_option = request_var('force_minotar_net_option', 0);
			$allow_avatar_remote = request_var('allow_avatar_remote', 0);
			$allow_avatar = request_var('allow_avatar', 0);

			set_config('enable_minotar_net_registration',	$enable_minotar_net_registration);
			set_config('force_minotar_net_option', $force_minotar_net_option);
			set_config('allow_avatar_remote', $allow_avatar_remote);
			set_config('allow_avatar', $allow_avatar);

			if ($force_minotar_net_option)
			{
      	$sql = 'SELECT user_id, minotar_net
									FROM ' . USERS_TABLE . '
										WHERE minotar_net <> ""
											AND minotar_net_options <> ' . $force_minotar_net_option . '
											AND user_avatar LIKE "%//minotar.net%"';
		  	$result = $db->sql_query($sql);

    		$minotar_net_size = min($config['avatar_max_width'], $config['avatar_max_height']);

    		$minotar_net_url = 'https://minotar.net/';

				switch($force_minotar_net_option)
				{
					case 1:
            $minotar_net_url .= 'avatar/';
						break;

     			case 2:
            $minotar_net_url .= 'helm/';
						break;

    			case 3:
            $minotar_net_url .= 'skin/';
						break;
				}

        $minotar_net_urls = array();

		    while ($row = $db->sql_fetchrow($result))
				{
					$minotar_net_urls[$row['user_id']] = $minotar_net_url . $row['minotar_net'] . '/' . $minotar_net_size;
				}

				foreach($minotar_net_urls as $uid => $url) {
          $sql = 'UPDATE ' . USERS_TABLE . '
										SET user_avatar = "' . $url . '",
											minotar_net_options = ' . $force_minotar_net_option . ',
											user_avatar_width = ' . $minotar_net_size . ',
											user_avatar_height = ' . $minotar_net_size . '
										WHERE user_id = ' . $uid;
					$db->sql_query($sql);
				}
			}

			trigger_error($user->lang['CONFIG_UPDATED'] . adm_back_link($this->u_action));
		}

		$template->assign_vars(array(
			'U_ACTION'                    => $this->u_action,
			'ENABLE_MINOTAR_NET_REGISTRATION' => $config['enable_minotar_net_registration'],
			'ALLOW_AVATAR_REMOTE'         		=> $config['allow_avatar_remote'],
			'ALLOW_AVATAR'                		=> $config['allow_avatar'],
		));
	}

}

?>